[arch-commits] Commit in bash/trunk (PKGBUILD bashrc)

Aaron Griffin aaron at archlinux.org
Tue Dec 9 00:05:53 UTC 2008


    Date: Monday, December 8, 2008 @ 19:05:53
  Author: aaron
Revision: 21038

upgpkg: bash 3.2.048-1
    FS#10073: /etc/skel/.bashrc addition for non-interactive shells
Patch level bump to 048

Modified:
  bash/trunk/PKGBUILD
  bash/trunk/bashrc

----------+
 PKGBUILD |   71 ++++++++++++++++++++++++++++++++++---------------------------
 bashrc   |    5 +++-
 2 files changed, 44 insertions(+), 32 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-12-08 23:30:32 UTC (rev 21037)
+++ PKGBUILD	2008-12-09 00:05:53 UTC (rev 21038)
@@ -2,9 +2,9 @@
 # Maintainer: Aaron Griffin <aaron at archlinux.org>
 
 pkgname=bash
-_patchlevel=039
+_patchlevel=048
 pkgver=3.2.$_patchlevel
-pkgrel=4
+pkgrel=1
 pkgdesc="The GNU Bourne Again shell"
 arch=(i686 x86_64)
 license=('GPL')
@@ -19,10 +19,36 @@
 for p in $(seq -w 001 $_patchlevel); do
     source=(${source[@]} http://ftp.gnu.org/gnu/bash/bash-3.2-patches/bash32-$p)
 done
+
+build() {
+  cd ${startdir}/src/${pkgname}-3.2
+  for p in ../bash32-*; do
+    msg "applying patch ${p}"
+    patch -Np0 -i ${p} || return 1
+  done
+
+  ./configure --prefix=/usr --with-curses --enable-readline \
+    --without-bash-malloc --with-installed-readline \
+    --bindir=/bin --mandir=/usr/share/man --infodir=/usr/share/info
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+
+  install -D -m644 ${startdir}/src/profile.bash ${startdir}/pkg/etc/profile.bash
+
+  # for now, bash is our default /bin/sh
+  cd ${startdir}/pkg/bin
+  ln -s bash sh
+
+  mkdir -p $startdir/pkg/etc/skel/
+  install -D -m644 $startdir/src/bashrc $startdir/pkg/etc/skel/.bashrc
+  echo ". \$HOME/.bashrc" >$startdir/pkg/etc/skel/.bash_profile
+  
+  rm -f ${pkgdir}/usr/share/info/dir
+}
+# wow, that's a lot of md5sums!
 md5sums=('00bfa16d58e034e3c2aa27f390390d30'
-         'f2a3cf51e58f9b82af50b861191d96fd'
          'c2fae355facefcac8a732cce877da194'
-         '9451109f3fe09d6381cbf36de9fbf06f'
+         '3d2837e84645eac9bde399b58014bafa'
          'd8e10c754f477e3f3a581af566b89301'
          'd38a5288b2f0ea6c9ac76b66cc74ef7d'
          '0b90d37911827d8cb95f3b4353cc225e'
@@ -61,30 +87,13 @@
          '95c70c7ae9de5bd3659c86284be7fb76'
          '62b876a3d7cd192cc8db2476fbb6b7b9'
          'aca3afc341bd3e5a0d8a3b4ca40dbb3f'
-         'e240c34f979b64bcb83c5f6567110bb1')
-
-build() {
-  cd ${startdir}/src/${pkgname}-3.2
-  for p in ../bash32-*; do
-    msg "applying patch ${p}"
-    patch -Np0 -i ${p} || return 1
-  done
-
-  ./configure --prefix=/usr --with-curses --enable-readline \
-    --without-bash-malloc --with-installed-readline \
-    --bindir=/bin --mandir=/usr/share/man --infodir=/usr/share/info
-  make || return 1
-  make DESTDIR=${startdir}/pkg install
-
-  install -D -m644 ${startdir}/src/profile.bash ${startdir}/pkg/etc/profile.bash
-
-  # for now, bash is our default /bin/sh
-  cd ${startdir}/pkg/bin
-  ln -s bash sh
-
-  mkdir -p $startdir/pkg/etc/skel/
-  install -D -m644 $startdir/src/bashrc $startdir/pkg/etc/skel/.bashrc
-  echo ". \$HOME/.bashrc" >$startdir/pkg/etc/skel/.bash_profile
-  
-  rm -f ${pkgdir}/usr/share/info/dir
-}
+         'e240c34f979b64bcb83c5f6567110bb1'
+         '06e6df263398807fa032707fb7b77b5f'
+         '373ae081d658dc85bc1058c4759d6669'
+         '9c9ebc6bfc33a0215277ee17a276eb5a'
+         'b87fb9ea16a64ca41b6676e9a7eb7a33'
+         '07e0229ce5879bfbd26a8146070fd366'
+         '1ad07965a8a93f3556ee1ab18b97cde2'
+         'f7b1e19fcad54c2286bc0ed614aad9bf'
+         '550690766de770116c34dbdf74e59184'
+         '4cc593e7b789b23b37a5397e092d3954')

Modified: bashrc
===================================================================
--- bashrc	2008-12-08 23:30:32 UTC (rev 21037)
+++ bashrc	2008-12-09 00:05:53 UTC (rev 21038)
@@ -1,3 +1,6 @@
+
+# Check for an interactive session
+[ -z "$PS1" ] && return
+
 alias ls='ls --color=auto'
 PS1='[\u@\h \W]\$ '
-




More information about the arch-commits mailing list